%define ARTS_ON 1
%if_with master
%define distr master
%endif
%if_with junior
%define distr junior
%endif
%if "%distr" == ""
%define distr sisyphus
%else

Name: kde-settings
Version: 3.1.0
Release: alt7.%distr

Summary: The default configuration files for KDE
License: Public Domain
Group: System/Base
BuildArch: noarch

Requires: design-graphics >= 3.0.0
Provides: kde-desktoplnk = %version-%release, kde-design = %version-%release, kde-config =  %version-%release
Obsoletes: kde-desktoplnk, kde-design, kde-config

Source0: %name-base.tar.bz2
Source1: %name-arts-on.tar.bz2
Source2: %name-arts-off.tar.bz2
Source3: %name-kdm.tar.bz2
Source4: %name-Default-alt.kcsrc
#
Source10: kde-desktoplnk.tar.bz2
#
Source20: %name-user.tar.bz2

%description
%name package contains the default configuration
files for the K Desktop Environment.

%install
install -d -m 0755 %buildroot/%_sysconfdir/X11/kdm
install -d -m 0755 %buildroot/%_datadir/config/kdm
ln -s ../../../../%_sysconfdir/X11/kdm/kdmrc %buildroot/%_datadir/config/kdm/kdmrc

pushd %buildroot/%_datadir/config
    tar xvfj %SOURCE0
%if %ARTS_ON
    tar xvfj %SOURCE1
%else
    tar xvfj %SOURCE2
%endif
popd

cat >> %buildroot/%_datadir/config/kdeglobals <<EOF

[KSplash/ML]
%if "%distr" == "master"
Theme=Default
%endif
%if "%distr" == "junior"
Theme=XpLike
%endif
%if "%distr" == "sisyphus"
Theme=kSplashRing
%endif
EOF


pushd %buildroot/%_sysconfdir/X11/kdm
    tar xvfj %SOURCE3
popd

install -d -m 0755 %buildroot/%_datadir/apps/kdisplay/color-schemes
install -m 0644 %SOURCE4 %buildroot/%_datadir/apps/kdisplay/color-schemes/Default-alt.kcsrc

mkdir -p %buildroot/%_datadir/alt/kde/desktoplnk
pushd %buildroot/%_datadir/alt/kde/desktoplnk
    tar xvfj %SOURCE10
popd

install -d -m 0755 %buildroot/%_datadir/alt/kde/userconfig
pushd %buildroot/%_datadir/alt/kde/userconfig
    tar xvfj %SOURCE20
popd


%files
%dir %_sysconfdir/X11/kdm
%config(noreplace) %_sysconfdir/X11/kdm/kdmrc
%config(noreplace) %_sysconfdir/X11/kdm/backgroundrc
%config(noreplace) %attr(0755,root,root) %_sysconfdir/X11/kdm/X*
#
%dir %_datadir/config/
%config(noreplace) %_datadir/config/*rc
%config(noreplace) %_datadir/config/*menu?
%config(noreplace) %_datadir/config/kdeglobals
%config(noreplace) %_datadir/config/kxmlrpcd
#
%dir %_datadir/config/kdm
%_datadir/config/kdm/kdmrc
%dir %_datadir/apps/kdisplay/color-schemes
%_datadir/apps/kdisplay/color-schemes/Default-alt.kcsrc
#
%_datadir/alt/kde/desktoplnk
#
%_datadir/alt/kde/userconfig

%changelog
* Tue Feb 11 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt7.sisyphus
- turn off desktop devices

* Mon Feb 10 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt6.sisyphus
- build for sisyphus

* Mon Feb 10 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt6.master
- distributable-depended theme in ksplashml
- build for master

* Mon Feb 10 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt5
- ars default default trought oss

* Thu Jan 23 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt4
- update settings
- add kdeprintrc from kdelibs

* Thu Jan 16 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt3
- update settings
- move kdmrc to /etc/X11/kdm

* Thu Oct 24 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt2
- fix path to kdm-logo

* Thu Oct 24 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt1
- Initial revision.
